tryton-server (7.0.30-1) unstable; urgency=medium

  * Merging upstream version 7.0.30.
  * Updating copyright file.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 28 Apr 2025 09:07:47 +0200

tryton-server (7.0.29-1) unstable; urgency=medium

  * Merging upstream version 7.0.29.

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 04 Apr 2025 09:06:08 +0200

tryton-server (7.0.28-1) unstable; urgency=medium

  * Recommend python3-argon2.
  * Merging upstream version 7.0.28.

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 21 Mar 2025 10:59:58 +0100

tryton-server (7.0.24-1) unstable; urgency=medium

  * Merging upstream version 7.0.24.
  * Updating copyright file.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 21 Jan 2025 11:17:01 +0100

tryton-server (7.0.23-1) unstable; urgency=medium

  * Recommend python3-barcode.
  * Merging upstream version 7.0.23.

 -- Mathias Behrle <mathiasb@m9s.biz>  Thu, 02 Jan 2025 15:29:37 +0100

tryton-server (7.0.19-7) unstable; urgency=medium

  * Revert "Add 02_python3.12_1085937.patch."
  * Add 02_canonical_timezone.patch.
  * Add temporary override for long Breaks field.
  * Reduce autopkgtest Depends to the required minimum.
  * Remove the gpg signing key, upstream signs now with signify.
  * Re-enable tests at build time.
  * Disable build tests for bullseye.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 06 Nov 2024 11:55:11 +0100

tryton-server (7.0.19-6) unstable; urgency=medium

  * Add versioned Breaks for correct dependency handling in migration.
  * Run wrap-and-sort -a.
  * Document the registration of new modules.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 28 Oct 2024 09:53:57 +0100

tryton-server (7.0.19-5) unstable; urgency=medium

  * Upload to unstable.

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 25 Oct 2024 13:02:53 +0200

tryton-server (7.0.19-4) experimental; urgency=medium

  * Correct the NEWS file.
  * Remove pytz from Depends.
  * Add 02_python3.12_1085937.patch.
  * Use unittest.discover to run autopkgtests.

 -- Mathias Behrle <mathiasb@m9s.biz>  Thu, 24 Oct 2024 16:40:21 +0200

tryton-server (7.0.19-3) experimental; urgency=medium

  * Upload to experimental.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 21 Oct 2024 07:55:31 +0200

tryton-server (7.0.19-2) unstable; urgency=medium

  * Update the man pages for 7.0.
  * Add NEWS for the release 7.0.
  * Update the trytond.conf for 7.0.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sat, 19 Oct 2024 16:29:49 +0200

tryton-server (7.0.19-1) unstable; urgency=medium

  * Bump the Standards-Version to 4.7.0, no changes needed.
  * Setting the branch in the watch file to the fixed version 7.0.
  * Remove deprecated python3-pkg-resources from (Build)Depends (and wrap-
    and-sort -a) (Closes: #1083972).
  * Merging upstream version 7.0.19.

 -- Mathias Behrle <mathiasb@m9s.biz>  Thu, 17 Oct 2024 12:19:55 +0200

tryton-server (6.0.52-1) unstable; urgency=medium

  * Merging upstream version 6.0.52.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 18 Sep 2024 14:22:18 +0200

tryton-server (6.0.49-2) unstable; urgency=medium

  * Disable testing via pybuild for now (Closes: #1080142).
    We rely so far on the autopkgtest running the complete test without
    problems and wait for the imminent packaging of Tryton 7.0 which will
    solve this issue automatically.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 16 Sep 2024 19:39:15 +0200

tryton-server (6.0.49-1) unstable; urgency=medium

  * Merging upstream version 6.0.49.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 24 Jul 2024 10:18:23 +0200

tryton-server (6.0.46-1) unstable; urgency=medium

  * Switch to pgpmode=none in the watch file.
  * Merging upstream version 6.0.46.

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 03 May 2024 12:07:33 +0200

tryton-server (6.0.45-1) unstable; urgency=high

  * Add Chinese translations (Closes: #1063445).
  * Refresh 01_avoid_call_to_pypi.patch.
  * Remove python3-mock from Build-Depends (Closes: #1064241).
  * Switch to pgpmode=auto in the watch file.
  * Update year of debian copyright.
  * Merging upstream version 6.0.45.
    This version includes the fix for the vulnerabilty
    to zip bomb attacks via decoded gzip content
    from unauthenticated users.
    https://discuss.tryton.org/t/security-release-for-issue-13142/7196
  * Updating copyright file.

 -- Mathias Behrle <mathiasb@m9s.biz>  Thu, 18 Apr 2024 10:59:43 +0200

tryton-server (6.0.39-1) unstable; urgency=medium

  * Merging upstream version 6.0.39.
  * Updating copyright file.

 -- Mathias Behrle <mathiasb@m9s.biz>  Thu, 11 Jan 2024 12:55:20 +0100

tryton-server (6.0.36-1) unstable; urgency=medium

  * Do not take into account python package metadata when building twice
    (Closes: #1047301).
  * Merging upstream version 6.0.36.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 16 Oct 2023 12:27:26 +0200

tryton-server (6.0.34-1) unstable; urgency=high

  * Merging upstream version 6.0.34.
  * Contains fix for https://discuss.tryton.org/t/security-release-for-issue-12428
    Record rules are not enforced by trytond when only reading fields without an
    SQL type (like Function fields).
    (no CVE available)

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 21 Aug 2023 11:39:41 +0200

tryton-server (6.0.33-1) unstable; urgency=medium

  * Update the Spanish translation (Closes: #1034726).
  * Update french debconf translation (Closes: #1036209).
  * Merging upstream version 6.0.33.
  * Updating copyright file.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 27 Jun 2023 14:30:33 +0200

tryton-server (6.0.29-2) unstable; urgency=medium

  * Add missing quotes in maintainer scripts (Closes: #1033055).
  * Make conf file parsing section aware (Closes: #1033055).
  * Correct a variable typo (Closes: #1033055).
  * Remove lsb-base from Depends.

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 24 Mar 2023 11:02:05 +0100

tryton-server (6.0.29-1) unstable; urgency=high

  * Merging upstream version 6.0.29.
  * This release fixes also security issue
    "Transaction cache overrides the current user"
    (no CVE available yet)
    https://foss.heptapod.net/tryton/tryton/-/issues/12108

 -- Mathias Behrle <mathiasb@m9s.biz>  Sat, 04 Mar 2023 10:45:59 +0100

tryton-server (6.0.28-1) unstable; urgency=medium

  * Merging upstream version 6.0.28.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sun, 26 Feb 2023 14:38:49 +0100

tryton-server (6.0.27-1) unstable; urgency=medium

  * Add tryton-sao as Recommends/Suggests to respective packages.
  * Run wrap-and-sort -a.
  * Merging upstream version 6.0.27.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 08 Feb 2023 13:11:57 +0100

tryton-server (6.0.26-1) unstable; urgency=medium

  * Add the Spanish translation (Closes: #1022899).
  * Update the dutch translation (Closes: #1023459).
  * Update the portuguese translation (Closes: #1028164).
  * Add the translation for Brazilian Portuguese (Closes: #1028213):
  * Update the package URLS to https and the new mono repos location.
  * Bump the Standards-Version to 4.6.2, no changes needed.
  * Merging upstream version 6.0.26.
  * Updating copyright file.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 17 Jan 2023 19:06:24 +0100

tryton-server (6.0.22-1) unstable; urgency=medium

  [ Mathias Behrle ]
  * Merge the changes proposed by debian-l10n-english.
  * Add the german template translation (Closes: #1020678).
  * Correct some typos in the templates.
  * Add the galician translation.
  * Run debconf-updatepo.
  * Update the galician translation.
  * Add updated german translation.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Mathias Behrle ]
  * Add the french translation.
  * Add the Portuguese translation.
  * Add the dutch translation.
  * Merging upstream version 6.0.22.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 18 Oct 2022 10:26:20 +0200

tryton-server (6.0.21-3) unstable; urgency=medium

  * Rebuild for source only upload.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 14 Sep 2022 10:37:07 +0200

tryton-server (6.0.21-2) unstable; urgency=medium

  * Add a salsa-ci.yml
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Repository.
  * Update standards version to 4.6.1, no changes needed.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.
  * Link the html docs also to tryton-client-doc and correct the doc-base.
  * Remove the automatic start of tryton-server.
  * Remove old migration code from postinst.
  * Recommend some mta for the mail functionalities.
  * Migrate to a full maintainer script driven configuration handling.
  * Correct the Documentation entries in the service files.
  * Update the documentation for the new integration packages.
  * Improve explanation of first steps.
  * Bump year in debian copyright.
  * Move installation of files out of the rules file.
  * Add the tryton-server-postgresql package.
  * Preserve existing configuration files when reconfiguring/upgrading.
  * Reset original configuration on removal of tryton-server-postgesql.
  * Use string instead of password for the password admin template.
  * Start from the existing configuration instead of the default.
  * Add Pre-Depends: ${misc:Pre-Depends} as required per lintian.
  * Add the DEP3 header Forwarded: not-needed to satisfy lintian.
  * Add some lintian overrides.
  * Add the tryton-server-uwsgi package.
  * Add the tryton-server-nginx package.
  * Add the tryton-server-all-in-one package.
  * Link the central README into all integration packages.
  * Add some connection examples to the README.
  * Add hint to change an evtl. default admin password.
  * Add the same hint to change an evtl. default admin password to the
    debconf templates, too.
  * Use a sorted country list for the debconf selection.
  * Adjust the debconf question according to the review.
  * Adapt tryton-server-all-in-one.postinst for the changed country
    multiselect.
  * Cleanup trailing whitespace in d/control.
  * Adapt the overrides to the new context handling of lintian.
  * Do not provide a default admin password.
  * Update debconf template translations.
  * Add a hint for dbconfig-common configuration.
  * Do not use empty return values from debconf in
    debian/scripts/initialize_db.sh.
  * Rework and cleanup all maintainer scripts.
  * Replace tabs with spaces.
  * Avoid failing on tasks in tryton-server-all-in-one when the database
    was not or wrongly configured.
  * Explain more explicitly the difference between the different passwords
    in the README.
  * Differentiate between installation and activation of modules in the
    README.
  * Add more information for the required setup steps after database
    installation.
  * Suggest autopostgresqlbackup in tryton-server-postgresql.
  * Add further information for import tools.
  * Recommend the available doc packages in tryton-server-all-in-one.
  * Add News for the new packages.
  * Correct a typo in the README.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 13 Sep 2022 16:20:34 +0200

tryton-server (6.0.21-1) unstable; urgency=medium

  * Merging upstream version 6.0.21.

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 09 Sep 2022 10:40:49 +0200

tryton-server (6.0.19-1) unstable; urgency=medium

  * Merging upstream version 6.0.19.
  * Update patches.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 08 Jun 2022 12:35:04 +0200

tryton-server (6.0.16-1) unstable; urgency=high

  * Merging upstream version 6.0.16.
    This release contains fixes for XML parsing vulnerabilities:
    https://discuss.tryton.org/t/security-release-for-issue11219-and-issue11244/5059
    https://bugs.tryton.org/issue11219 (CVE-2022-26661)
    https://bugs.tryton.org/issue11244 (CVE-2022-26662)
  * Updating copyright file.
  * Add python3-defusedxml to (Build-)Depends.
  * Refresh patches.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 09 Mar 2022 10:26:15 +0100

tryton-server (6.0.12-1) unstable; urgency=medium

  * Merging upstream version 6.0.12.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sat, 18 Dec 2021 11:57:07 +0100

tryton-server (6.0.9-3) unstable; urgency=medium

  * Use debhelper-compat (=13).
  * Provide tryton-server-api.

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 12 Nov 2021 21:53:27 +0100

tryton-server (6.0.9-2) unstable; urgency=medium

  * Add versioned Breaks for correct dependency handling.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 26 Oct 2021 20:04:21 +0200

tryton-server (6.0.9-1) unstable; urgency=medium

  * Update year of debian copyright.
  * Bump the Standards-Version to 4.6.0, no changes needed.
  * Set the watch file version to 4.
  * Setting the branch in the watch file to the fixed version 6.0.
  * Merging upstream version 6.0.9.
  * Updating copyright file.
  * Add the SIL OPEN FONT LICENSE for the included font(s).
  * Add new optional dependencies as Recommends.
  * Update the debian patch set for 6.0.
  * Remove obsolete Breaks from d/control.
  * Update the man pages for 6.0.
  * Link the new binaries andman pages to their tryton-server correlates.
  * Update trytond.conf for 6.0.
  * Update the README for 6.0.
  * Add news for 6.0.
  * Build documentation without sphinx configuration, removed upstream.
  * Add python3-pil to Build-Depends, it is needed for testing.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 18 Oct 2021 12:04:35 +0200

tryton-server (5.0.39-1) unstable; urgency=medium

  * Add 04_werkzeug20_compatibility.patch (Closes: #995438).
  * Merging upstream version 5.0.39.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 04 Oct 2021 15:39:55 +0200

tryton-server (5.0.36-1) unstable; urgency=medium

  * Merging upstream version 5.0.36.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 29 Jun 2021 10:30:25 +0200

tryton-server (5.0.33-2) unstable; urgency=medium

  * Refresh 03_werkzeug10_compatibility.patch.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 17 Feb 2021 17:46:28 +0100

tryton-server (5.0.33-1) unstable; urgency=medium

  * Updating to standards version 4.5.1, no changes needed.
  * Merging upstream version 5.0.33.
  * Updating copyright file.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 17 Feb 2021 17:05:57 +0100

tryton-server (5.0.30-1) unstable; urgency=medium

  * Merging upstream version 5.0.30.
  * Refresh 03_werkzeug10_compatibility.patch.

 -- Mathias Behrle <mathiasb@m9s.biz>  Thu, 17 Dec 2020 13:13:21 +0100

tryton-server (5.0.26-1) unstable; urgency=medium

  * Merging upstream version 5.0.26.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sat, 26 Sep 2020 10:13:15 +0200

tryton-server (5.0.23-2) unstable; urgency=medium

  * Remove systemd from dh arguments, it is deprecated for this debhelper
    compat.
  * Correct a typo in a patch description.
  * Remove the version constraint for werkzeug (Closes: #966984).

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 10 Aug 2020 11:12:53 +0200

tryton-server (5.0.23-1) unstable; urgency=medium

  * Remove tryton-server.lintian-overrides.
  * Add the according links for the binaries for compliance with the used
    namespace.
  * Update year of debian copyright.
  * Bump the Standards-Version to 4.5.0, no changes needed.
  * Add Rules-Requires-Root: no to d/control.
  * Merging upstream version 5.0.23.
  * Updating copyright file.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sat, 04 Jul 2020 13:01:14 +0200

tryton-server (5.0.20-1) unstable; urgency=medium

  * Merging upstream version 5.0.20.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sun, 05 Apr 2020 13:34:55 +0200

tryton-server (5.0.19-1) unstable; urgency=medium

  * Add 03_werkzeug10_compatibility.patch.
  * Use the correct license for the distributed icons.
  * Merging upstream version 5.0.19.
  * Updating copyright file.

 -- Mathias Behrle <mathiasb@m9s.biz>  Thu, 12 Mar 2020 17:40:29 +0100

tryton-server (5.0.16-1) unstable; urgency=medium

  * Merging upstream version 5.0.16.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 03 Dec 2019 10:01:44 +0100

tryton-server (5.0.14-2) unstable; urgency=medium

  * Refresh patch 02_avoid_call_to_pypi.patch.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 22 Oct 2019 13:08:52 +0200

tryton-server (5.0.14-1) unstable; urgency=medium

  * Merging upstream version 5.0.14.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 21 Oct 2019 12:24:11 +0200

tryton-server (5.0.10-1) unstable; urgency=medium

  * Merging upstream version 5.0.10.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 23 Jul 2019 18:43:54 +0200

tryton-server (5.0.6-2) unstable; urgency=medium

  * Bump the Standards-Version to 4.4.0, no changes needed.
  * Update year of debian copyright.
  * Setting the branch in the watch file to the fixed version 5.0.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 22 Jul 2019 12:17:42 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog tryton-server-doc`.
